<?php
	include_once(__DIR__."/../../core.php");
	
	
	$idmodulo = $html->form('idmodulo');
	$module_name=get_module_name_by_id($idmodulo);

	
	$iddocumento = $html->form('idintervento');
	$idriga = $html->form('idriga');
	
	$_SESSION['idriga_pianificazione'] = $idriga ;	
	
	$dir = get_var_tipodoc2($iddocumento,"dir");	
	//Info documento
	$q = "SELECT * FROM co_documenti WHERE id='".$iddocumento."'";
	$rs = $dbo->fetchArray($q);
	( $rs[0]['numero_esterno'] != '' ) ? $numero=$rs[0]['numero_esterno'] : $numero=$rs[0]['numero'];
	$idanagrafica = $rs[0]['idanagrafica'];
	$idconto_fattura = $rs[0]['idconto'];
	$id_contratto = $rs[0]['idcontratto'];

	
	$rs_int = $dbo->fetchArray("
		select descrizione_att,orario_inizio , orario_fine , in_interventi_tecnici.idtipointervento ,in_interventi_tecnici.idstatointervento, idtecnico , ragione_sociale ,
		in_statiintervento.descrizione as des_stato ,
		in_tipiintervento.descrizione as des_tipo , id_impianto ,matricola_impianto
		from in_interventi_tecnici 
		left join in_interventi on in_interventi.id = in_interventi_tecnici.idintervento	
		left join an_anagrafiche on an_anagrafiche.idanagrafica = in_interventi_tecnici.idtecnico	
		left  join in_statiintervento on in_statiintervento.idstatointervento = in_interventi.idstatointervento	
		left join in_tipiintervento on in_tipiintervento.idtipointervento = in_interventi_tecnici.idtipointervento	
		where in_interventi_tecnici.id ='".$idriga."'");


	
	if( $rs_int[0]['id_impianto'] != "0"  ){
		$rs_mag = $dbo->fetchArray("SELECT nome FROM my_impianti WHERE id='".$rs_int[0]['id_impianto']."'");
		$nome_impianto=$rs_mag[0]['nome'];
	}
	else{	
		$nome_impianto="Nessuna Installazione";
	}
	
	//Lettura stati ordini di servizio
	$rs_stati = $dbo->fetchArray("select idstatointervento,descrizione from in_statiintervento where  idstatointervento='".$rs_int[0]['idstatointervento']."'");
	$des_stato=$rs_stati[0]['descrizione'];
	$id_des_stato=$rs_stati[0]['idstatointervento'];
	
	//Lettura idanagrafica cliente e percentuale di sconto/rincaro in base al listino
	$rs = $dbo->fetchArray("select * from an_anagrafiche left join an_tipianagrafiche_anagrafiche on an_tipianagrafiche_anagrafiche.idanagrafica=an_anagrafiche.idanagrafica where idtipoanagrafica='2'  and deleted ='0' ");
	$n2 = sizeof($rs);
	
	//Lettura stati ordini di servizio
	$rs_stati = $dbo->fetchArray("select * from in_statiintervento order by descrizione ");
	$n3 = sizeof($rs_stati);
	
	//Lettura tipo ordini di servizio
	$rs_tipi = $dbo->fetchArray("select * from in_tipiintervento order by descrizione ");
	$n4 = sizeof($rs_tipi);
	
	
	
	/*
		Form di inserimanto pianificazione
	*/
	echo "<label>Documento numero ".$numero."</label><br><br>\n";
	echo "<form id=\"link_form\" action=\"".$rootdir."/editor.php?id_module=".$modules_info[$module_name]['id']."&id_record=".$iddocumento."\" method=\"post\">\n";	
	echo "	<input type='hidden' name='op' value='modifica_pianifica'>\n";
	echo "	<input type='hidden' name='idriga' value='".$idriga."'>\n";
	echo "	<input type='hidden' name='backto' value='record-edit'>\n";
	echo "	<input type='hidden' name='dir' value='".$dir."'>\n";
	
	//Descrizione
	echo "	<div class='row'>\n";
	echo "		<div class='col-md-12'>\n";
	echo "			<label>Descrizione</label>\n";
	echo "			<textarea name=\"descrizione1\" rows='10' id=\"descrizione1\" class='form-control' >".$rs_int[0]['descrizione_att']."</textarea>\n";
	echo "		</div>\n";
	echo "	</div>\n";
			
	echo "<br>";


	echo "<div class='panel panel-primary'>";
		echo "<div class='panel-body'>";
			// assegnazione tecnico / agente
			echo "<div class='row'>\n";	
				echo "		<div class='col-md-4'>\n";
					echo "			<div class='form-group'>\n";
					echo "				<label>Assegnazione a :</label>\n";	
						if( ($n2) == 0 ){
							echo "				... Non ci sono operatori in anagrafica ...<br><br>\n";
							echo "				<input type=\"hidden\" id=\"idanagrafica\" value=\"\">\n";
						}	
						else{
							echo "				<select id=\"idanagrafica\" name=\"idanagrafica\" class=\"superselect\" onchange=\"$('#descrizione').val( $(this).find(':selected').text() );  ;\">\n";
							echo "				<option value=\"".$rs_int[0]['idtecnico']."\"  >".$rs_int[0]['ragione_sociale']." </option>\n";							
							for( $i=0;$i<$n2;$i++ ){					
								echo "				<option value=\"".$rs[$i]['idanagrafica']."\"  >".$rs[$i]['ragione_sociale']." </option>\n";
							}		
							echo "				</optgroup>\n";
						}	
					echo "				</select>\n";
					echo "			</div>\n";
				echo "		</div>\n";																		
			// assegnazione stato ordine di servizio
				echo "		<div class='col-md-4'>\n";
					echo "			<div class='form-group'>\n";
					echo "				<label>Stato ordine di servizio </label>\n";	
						if( ($n3) == 0 ){
							echo "				... Non ci sono stati in anagrafica ...<br><br>\n";
							echo "				<input type=\"hidden\" id=\"idstatointervento\" value=\"\">\n";
						}	
						else{

							echo "				<select id=\"idstatointervento\" name=\"idstatointervento\" class=\"superselect\"  onchange=\"$('#descrizione1').val( $(this).find(':selected').text() );  ;\">\n";
							echo "				<option value=\"".$id_des_stato."\"  >".$des_stato." </option>\n";							
							for( $i=0;$i<$n3;$i++ ){					
								echo "				<option value=\"".$rs_stati[$i]['idstatointervento']."\"  >".$rs_stati[$i]['descrizione']." </option>\n";
							}		
							echo "				</optgroup>\n";
						}	
					echo "				</select>\n";
					echo "		</div>\n";
				echo "		</div>\n";	
			// assegnazione tipo ordine di servizio
				echo "		<div class='col-md-4'>\n";
					echo "			<div class='form-group'>\n";
					echo "				<label>Tipologia ordine di servizio </label>\n";	
						if( ($n4) == 0 ){
							echo "				... Non ci sono tipologie  in anagrafica ...<br><br>\n";
							echo "				<input type=\"hidden\" id=\"idtipointervento\" value=\"\">\n";
						}	
						else{

							echo "				<select id=\"idtipointervento\" name=\"idtipointervento\" class=\"superselect\"  onchange=\"$('#descrizione1').val( $(this).find(':selected').text() );  ;\">\n";
							echo "				<option value=\"".$rs_int[0]['idtipointervento']."\"  >".$rs_int[0]['des_tipo']." </option>\n";							
							for( $i=0;$i<$n4;$i++ ){					
								echo "				<option value=\"".$rs_tipi[$i]['idtipointervento']."\"  >".$rs_tipi[$i]['descrizione']." </option>\n";
							}		
							echo "				</optgroup>\n";
						}	
					echo "				</select>\n";
					echo "		</div>\n";
				echo "		</div>\n";	
			echo "</div>\n";	
		echo "</div>\n";		
	echo "</div>\n";		
	
	
	$display='';	
	$data_app		= date( "d/m/Y", strtotime($rs_int[0]['orario_inizio']) );
	$data_fine		= date( "d/m/Y", strtotime($rs_int[0]['orario_fine']) );
	$orario			= date( "H:i", strtotime($rs_int[0]['orario_inizio']) );
	$orario_fine	= date( "H:i", strtotime($rs_int[0]['orario_fine']) );
	
	echo "<div class='panel panel-primary'>";
		echo "<div class='panel-body'>";		
			echo "	<div class='row'>\n";
			// orario attivita
				echo "		<div class='col-md-3'>\n";	
					echo "				<label>Data inizio </label>\n";	
					echo "		<div class='form-group'>\n";				
						echo "			<input type='text' class='form-control  datepicker text-center '  id='data_i' name='data' required=\"true\" value=\"".$data_app."\">\n";						
					echo "		</div>\n";
				echo "	</div>\n";
				echo "		<div class='col-md-3'>\n";	
					echo "		<label>Orario inizio attività </label>\n";	
					echo "		<div class='form-group'>\n";				
						echo "			<input type='text' class='form-control timepicker text-center'  id='orario' name='orario' required=\"true\" value=\"".$orario."\">\n";					
					echo "		</div>\n";
				echo "	</div>\n";	
				echo "		<div class='col-md-3'>\n";	
					echo "				<label>Data fine </label>\n";	
					echo "		<div class='form-group'>\n";				
						echo "			<input type='text' class='form-control  datepicker text-center '  id='data_f' name='data_f' required=\"true\" value=\"".$data_fine."\">\n";												
					echo "		</div>\n";
				echo "	</div>\n";
				echo "		<div class='col-md-3'>\n";	
					echo "		<label>Orario fine attività </label>\n";	
					echo "		<div class='form-group'>\n";				
						echo "			<input type='text' class='form-control timepicker text-center'  id='orario_fine' name='orario_fine' required=\"true\" value=\"".$orario_fine."\">\n";						
					echo "		</div>\n";
				echo "	</div>\n";			
			echo "		</div>\n";
		echo "		</div>\n";
	echo "		</div>\n";
	
	//Installazioni
	echo "<div class='panel panel-primary'>";
		echo "<div class='panel-body'>";
			echo "	<div class='row'>\n";
				//Tipo Sconto
				
				if( $id_contratto > "0" ) {
					$query="SELECT my_impianti.matricola as id , nome  FROM my_impianti INNER JOIN my_impianti_contratti ON my_impianti.matricola=my_impianti_contratti.matricola WHERE 
					idanagrafica='".$idanagrafica."' and idcontratto ='".$id_contratto."' ORDER BY nome"; 										
				}else{
					$query="SELECT my_impianti.matricola as id , nome  FROM my_impianti  WHERE idanagrafica='".$idanagrafica."'  ORDER BY nome"; 	
				}	
			
				
				$rs = $dbo->fetchArray($query);	
				echo "		<div class='col-md-4'>\n";
				echo "			<label>Installazione Impianti</label>\n";
					echo "			<select id='id_matricola' class='superselect' name=\"id_matricola\">\n";														
					echo "					<option value='".$rs_int[0]['matricola_impianto']."'>$nome_impianto</option>\n";	
					
					if( $rs_int[0]['id_impianto'] != "0"  )	echo "	<option value='0'>Nessuna Installazione</option>\n";	
					
					for( $i=0; $i<sizeof($rs); $i++ ){				
						echo "	<option value='".$rs[$i]['id']."' $attr>".$rs[$i]['nome']."</option>\n";
					}	
					echo "			</select>\n";	
				echo "		</div>\n";						
			echo "		</div>\n";
		echo "		</div>\n";
	echo "		</div>\n";	
	
	
	echo "	<a onclick=\"addriga();\" class=\"btn-app btn-primary pull-right\"><i class=\"fa fa-edit\"></i> Aggiorna</a>\n";
	echo "</form>\n";
	
	 
	
	
	 echo "	<form action='".$rootdir."/editor.php?id_module=".$modules_info[$module_name]['id']."&id_record=".$iddocumento."' method='post' id='delete-form-".$idrecord."' role='form'>\n";
		echo "		<input type='hidden' name='backto' value='record-edit'>\n";
		echo "		<input type='hidden' name='idriga' value='".$idriga."'>\n";
		echo "		<input type='hidden' name='op' value='unlink_pianifica'>\n";
		echo "		<div class='input-group-btn'>\n";			
//	echo "			<a class='btn btn-danger pull-left' title='Rimuovi pianificazione...' onclick=\"if( confirm('Rimuovere questa pianificazione?') ){ $('#delete-form-".$idrecord."').submit(); }\"><i class='fa fa-trash-o'></i> Elimina</a>\n";
			echo "<div class='pull-left showcase sweet'>\n";				
				echo "<button type='button' class='btn-app btn-danger' aria-label='Show SweetAlert2 success message' ><i class='fa fa-trash-o'></i> Elimina</span></button>\n";			
			echo "		</div>\n";
		echo "		</div>\n";
	echo "	</form>\n";
	
	
	
?>

<script type="text/javascript" charset="utf-8">
		$('.datepicker').datepicker();
		$('.timepicker').timepicker();
		
		$idriga_pianificazione = '<?php echo $idriga ?>';
		
		
		function addriga(){
			$("#link_form").submit();
		}
		
		$(document).ready( function(){
			start_superselect();
		//	start_inputmask();
		
		
		
		});
		
		$('.showcase.sweet button').on('click', () => {
			
			swal({
			  title: 'Sei sicuro?',
			  text: "Eliminare questo elemento!",
			  type: 'warning',
			  showCancelButton: true,
			  confirmButtonColor: '#3085d6',
			  cancelButtonColor: '#d33',
			  confirmButtonText: 'Conferma!'
			}).then((result) => {
			  if (result.value) {								 
				{ $('#form-delete_pianificazione').submit(); }
			  }
			})
		})		
		
		
		
	</script>

	
	
	
	<div class="clearfix"></div>

